# SynapticSubgroup class

(Shortest import: `from brian2.synapses.synapses import SynapticSubgroup)`

class brian2.synapses.synapses.SynapticSubgroup(synapses, indices)

  Bases: `object`

  A simple subgroup of `Synapses` that can be used for indexing.

  Parameters:

    indices : `ndarray` of int

    > The synaptic indices represented by this subgroup.

    synaptic_pre : `DynamicArrayVariable`

    > References to all pre-synaptic indices. Only used to throw an error when new synapses where added after creating this object.